from sprito import *

#fill screen with black
fill_screen(C_BLACK)
#refresh
show_screen()
#draw yellow rectangle
rect(0, 0, 64, 64, C_YELLOW)
rect(2, 2, 60, 60, C_BLACK)
show_screen()
#create indexed sprite
sprite = SpriteIndexed(8, 8, b'\x01\x02\x03\x04\x05\x06\x07\x08' * 8)
#create raw sprite from sprite
raw_sprite = sprite.to_raw(PALLET_BYTE)
#draw indexed sprite
sprite.draw(0, 0, PALLET_BYTE)
#draw raw sprite
raw_sprite.draw(16, 0)
#invert raw sprite
invert_rect(16, 0, 8, 8)
show_screen()
#store what we drew
copy = store_rect(0, 0, 64, 64)
#draw it multiple times
for i in range(64,384,64):
  for j in range(0,192,64):
    copy.draw(i, j)
    show_screen()
